Foreman - Bug #12417

Preview of PXELinux global default errs
11/06/2015 08:05 PM - Brandon Weeks

Status: Ready For Testing
Priority: Normal
Assignee:

Category: Templates

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.10.0
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/communit

y-templates/pull/375

Description
When using the preview function while editing the "PXELinux global default" template an error is returned in the UI.

"There was an error rendering the PXELinux global default template: undefined method “each' for nil:NilClass."

I've attached a traceback. It appears this errors is caused by not passing the @profiles variable into the template.

Related issues:
Related to Foreman - Feature #11035: Allow all templates preview during their... Closed 07/07/2015

Associated revisions

Revision 34c0e55f - 03/24/2017 11:33 AM - Konrad Scherer

Refs #12417 - Fix rendering if no profiles are defined

History

#1 - 11/09/2015 03:06 AM - Dominic Cleal

- Related to Feature #11035: Allow all templates preview during their creation and editing added

#2 - 03/17/2017 09:34 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/community-templates/pull/375 added

#3 - 03/17/2017 09:38 AM - Konrad Scherer

Had the same problem rendering the PXEGrub2 template on 1.14.2. | am using Foreman with bare metal machines only and do not have any profiles
defined.

Fortunately the fix is simple and | created a pull request with fixes for the 3 affected templates.

Files

traceback.txt 14.8 KB 11/06/2015 Brandon Weeks

05/20/2024 1/1



http://www.tcpdf.org

